<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="examdatamanageview.aspx.cs" Inherits="School_Web.admin.exam.examdatamanageview" %>


<%@ Register Assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>试题信息</title>
    <asp:Literal ID="litregscript" runat="server" Text=""></asp:Literal>
   <link href="../style/green/style.css" rel="stylesheet" type="text/css" />
<script language="javascript" src="/admin/js/System.js" type="text/javascript"></script>



<style type="text/css">
#radDAnswer input,#cblDAnswer input,#radDAnswer1 input
{
	width:13px;
	height:13px;
	margin:0px;
	padding:0px;
	border: 0px none 
}

#radDAnswer label,#cblDAnswer label,#radDAnswer1 label
{
	width:50px; padding-right:5px; padding-left:5px;
}
</style>
<script language="javascript" type="text/javascript">
    $(document).ready(function() {
        $("#topURLul").children().click(function() {
            $(this).siblings().removeClass().end().addClass("divURLed");
            $("#mypanel").children().css("display", "none");
            $("#d" + this.id).css("display", "");

            //alert(this.id);
        });

        $("#drpTID").change(function() {
            changeTID($(this).val());
        });
        changeTID($("#drpTID").val());

    });

    function changeTID(tid) {
        //1填空题，2单选题，3多选题，4判断题，5简答题，6阅读题
//        试题题目sttm
//        选项内容xxnr
//        试题答案stda
//        选项个数xxgs
//        试题答案stdadanx
//        试题答案stdaduox
//        试题答案stdapd
//        试题解析stjx
//        关键词gjc
        var $sttm = $("#sttm");
        var $xxnr = $("#xxnr");
        var $stda = $("#stda");
        var $xxgs = $("#xxgs");
        var $stdadanx = $("#stdadanx");
        var $stdaduox = $("#stdaduox");
        var $stdapd = $("#stdapd");
        var $stjx = $("#stjx");
        var $gjc = $("#gjc");

        switch (tid)
        {
            case "1": //填空题
                $sttm.show();
                $xxnr.hide();
                $stda.show();
                $xxgs.hide();
                $stdadanx.hide();
                $stdaduox.hide();
                $stdapd.hide();
                $stjx.show();
                $gjc.show();
                break;
            case "2": //单选题
                $sttm.show();
                $xxnr.show();
                $stda.hide();
                $xxgs.show();
                $stdadanx.show();
                $stdaduox.hide();
                $stdapd.hide();
                $stjx.show();
                $gjc.show();
                break;
            case "3": //多选题
                $sttm.show();
                $xxnr.show();
                $stda.hide();
                $xxgs.show();
                $stdadanx.hide();
                $stdaduox.show();
                $stdapd.hide();
                $stjx.show();
                $gjc.show();
                break;
            case "4": //判断题
                $sttm.show();
                $xxnr.hide();
                $stda.hide();
                $xxgs.hide();
                $stdadanx.hide();
                $stdaduox.hide();
                $stdapd.show();
                $stjx.show();
                $gjc.show();
                break;
            case "5": //简答题
                $sttm.show();
                $xxnr.hide();
                $stda.show();
                $xxgs.hide();
                $stdadanx.hide();
                $stdaduox.hide();
                $stdapd.hide();
                $stjx.show();
                $gjc.show();
                break;
            case "6": //阅读题
                $sttm.show();
                $xxnr.hide();
                $stda.hide();
                $xxgs.hide();
                $stdadanx.hide();
                $stdaduox.hide();
                $stdapd.hide();
                $stjx.show();
                $gjc.hide();
                break;
        }
        win_onLoad();
    }
    
    </script>
</head>
<body onload="win_onLoad();">
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    </asp:UpdatePanel>
    <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
        <ProgressTemplate>
            <div id="divLoading">
                <img src="/admin/style/default/images/loading.gif" />
            </div>
        </ProgressTemplate>
    </asp:UpdateProgress>
    <div id="tbMain">
        <div class="divTbg">
            <div class="divTbgL">
            </div>
            <div class="divTbgInfo">
                <div class="divTbgTitle">
                    试题管理</div>
            </div>
        </div>
        <div class="divTbgF">
        </div>
        <div class="divTNavBG" id="topURL">
            <ul id="topURLul">
                <li class="divURLed" id="div1">
                    <div>
                        <img src="../style/default/images/mini_icons_046.gif" width="10" height="10" />
                        基本信息</div>
                </li>
            </ul>
        </div>
        <div id="mypanel">
            <div class="divInfoContext">
                <div class="divInfo">
                    <div class="divInfoblack">
                        <div class="divInfoTopList">
                            <div class="listLeft">
                                <div class="navtitle">
                                    试题信息</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="divInfo">
                    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tablist" id="mainlist"
                        >
                        <tr class="tablisttr">
                            <td class="tablisttitle">
                                试题题库</td>
                            <td class="tabmanagertr">
                                 <asp:DropDownList runat="server" ID="drpSID">
                        </asp:DropDownList></td>
                            <td class="tablisttitle">
                                知识点</td>
                            <td class="tabmanagertr">
                                 <asp:DropDownList runat="server" ID="drpPID">
                        </asp:DropDownList></td>
                        </tr>
                        <tr class="tablisttr">
                            <td class="tablisttitle">
                                试题难度</td>
                            <td class="tabmanagertr">
                                <asp:DropDownList ID="drpDGrade" runat="server">
                                            <asp:ListItem Value="ExamDGrade">codeno</asp:ListItem>
                        </asp:DropDownList></td>
                            <td class="tablisttitle">
                                试题状态</td>
                            <td class="tabmanagertr">
                                 <asp:DropDownList ID="drpDState" runat="server">
                                            <asp:ListItem Value="ExamDState">codeno</asp:ListItem>
                        </asp:DropDownList></td>
                        </tr>
                        <tr class="tablisttr">
                            <td class="tablisttitle">
                                试题类型</td>
                            <td class="tabmanagertr">
                                <asp:DropDownList ID="drpTID" runat="server">
                                            <asp:ListItem Value="ExamTID">codeno</asp:ListItem>
                        </asp:DropDownList></td>
                            <td class="tablisttitle">
                                显示顺序</td>
                            <td class="tabmanagertr">
                                <asp:TextBox ID="txtShowID" runat="server" ToolTip="显示顺序" CssClass="1"></asp:TextBox></td>
                        </tr>
                        <tr class="tablisttr" id="sttm">
                            <td class="tablisttitle">
                                试题题目</td>
                            <td class="tabmanagertr" colspan="3">
                                <asp:TextBox ID="txtDTitle" runat="server" ToolTip="试题题目" TextMode="MultiLine" Height="100px" Width="100%" class="xheditor {upLinkUrl:s_upLinkUrl,upLinkExt:s_upLinkExt,upImgUrl:s_upLinkUrl,upImgExt:s_upImgExt,upFlashUrl:s_upLinkUrl,upFlashExt:s_upFlashExt,upMediaUrl:s_upLinkUrl,upMediaExt:s_upMediaExt}"></asp:TextBox>
                            </td>
                        </tr>
                        <tr class="tablisttr" id="xxnr">
                            <td class="tablisttitle">
                                选项内容</td>
                            <td class="tabmanagertr" colspan="3">
                                <asp:TextBox ID="txtDask" runat="server" ToolTip="选项内容" TextMode="MultiLine" Height="100px" Width="100%" class="xheditor {upLinkUrl:s_upLinkUrl,upLinkExt:s_upLinkExt,upImgUrl:s_upLinkUrl,upImgExt:s_upImgExt,upFlashUrl:s_upLinkUrl,upFlashExt:s_upFlashExt,upMediaUrl:s_upLinkUrl,upMediaExt:s_upMediaExt}"></asp:TextBox></td>
                        </tr>
                        <tr class="tablisttr"  id="stda">
                            <td class="tablisttitle">
                                试题答案</td>
                            <td class="tabmanagertr" colspan="3">
                                <asp:TextBox ID="txtDAnswer" runat="server" ToolTip="试题答案" TextMode="MultiLine" Height="100px" Width="100%" class="xheditor {upLinkUrl:s_upLinkUrl,upLinkExt:s_upLinkExt,upImgUrl:s_upLinkUrl,upImgExt:s_upImgExt,upFlashUrl:s_upLinkUrl,upFlashExt:s_upFlashExt,upMediaUrl:s_upLinkUrl,upMediaExt:s_upMediaExt}"></asp:TextBox></td>
                        </tr>
                        <tr class="tablisttr" id="xxgs">
                            <td class="tablisttitle">
                                选项个数</td>
                            <td class="tabmanagertr" colspan="3">
                               
                                
                                 <asp:DropDownList ID="drpDNumber" runat="server"  ToolTip="选项个数">
                                    <asp:ListItem>2</asp:ListItem>
                                    <asp:ListItem>3</asp:ListItem>
                                    <asp:ListItem>4</asp:ListItem>
                                    <asp:ListItem>5</asp:ListItem>
                                    <asp:ListItem>6</asp:ListItem>
                                    <asp:ListItem>7</asp:ListItem>
                                    <asp:ListItem>8</asp:ListItem>
                                    <asp:ListItem>9</asp:ListItem>
                                </asp:DropDownList>
                                
                                
                                </td>
                        </tr>
                        <tr class="tablisttr" id="stdadanx">
                            <td class="tablisttitle">
                                试题答案</td>
                            <td class="tabmanagertr" colspan="3">
                                <asp:RadioButtonList ID="radDAnswer" runat="server" 
                                    RepeatDirection="Horizontal" RepeatLayout="Flow">
                                    <asp:ListItem>(A)</asp:ListItem>
                                    <asp:ListItem>(B)</asp:ListItem>
                                    <asp:ListItem>(C)</asp:ListItem>
                                    <asp:ListItem>(D)</asp:ListItem>
                                    <asp:ListItem>(E)</asp:ListItem>
                                    <asp:ListItem>(F)</asp:ListItem>
                                    <asp:ListItem>(G)</asp:ListItem>
                                    <asp:ListItem>(H)</asp:ListItem>
                                    <asp:ListItem>(I)</asp:ListItem>
                                </asp:RadioButtonList>
                            </td>
                        </tr>
                        <tr class="tablisttr" id="stdaduox">
                            <td class="tablisttitle">
                                试题答案</td>
                            <td class="tabmanagertr" colspan="3">
                                <asp:CheckBoxList ID="cblDAnswer" runat="server" RepeatDirection="Horizontal" 
                                    RepeatLayout="Flow">
                                    <asp:ListItem>(A)</asp:ListItem>
                                    <asp:ListItem>(B)</asp:ListItem>
                                    <asp:ListItem>(C)</asp:ListItem>
                                    <asp:ListItem>(D)</asp:ListItem>
                                    <asp:ListItem>(E)</asp:ListItem>
                                    <asp:ListItem>(F)</asp:ListItem>
                                    <asp:ListItem>(G)</asp:ListItem>
                                    <asp:ListItem>(H)</asp:ListItem>
                                    <asp:ListItem>(I)</asp:ListItem>
                                </asp:CheckBoxList>
                            </td>
                        </tr>
                        <tr class="tablisttr" id="stdapd">
                            <td class="tablisttitle">
                                试题答案</td>
                            <td class="tabmanagertr" colspan="3">
                                <asp:RadioButtonList ID="radDAnswer1" runat="server" 
                                    RepeatDirection="Horizontal" RepeatLayout="Flow">
                                    <asp:ListItem Value="0">(对)</asp:ListItem>
                                    <asp:ListItem Value="1">(错)</asp:ListItem>
                                </asp:RadioButtonList></td>
                        </tr>
                        <tr class="tablisttr" id="stjx">
                            <td class="tablisttitle">
                                试题解析</td>
                            <td class="tabmanagertr" colspan="3">
                                <asp:TextBox ID="txtDAnalysis" runat="server" ToolTip="试题解析" 
                                    TextMode="MultiLine" Height="100px" Width="100%" class="xheditor {upLinkUrl:s_upLinkUrl,upLinkExt:s_upLinkExt,upImgUrl:s_upLinkUrl,upImgExt:s_upImgExt,upFlashUrl:s_upLinkUrl,upFlashExt:s_upFlashExt,upMediaUrl:s_upLinkUrl,upMediaExt:s_upMediaExt}"></asp:TextBox></td>
                        </tr>
                        <tr class="tablisttr" id="gjc">
                            <td class="tablisttitle">
                                关键词</td>
                            <td class="tabmanagertr" colspan="3">
                                <asp:TextBox ID="txtDKey" runat="server" ToolTip="关键词" TextMode="MultiLine" Height="100px" Width="100%"  class="xheditor {upLinkUrl:s_upLinkUrl,upLinkExt:s_upLinkExt,upImgUrl:s_upLinkUrl,upImgExt:s_upImgExt,upFlashUrl:s_upLinkUrl,upFlashExt:s_upFlashExt,upMediaUrl:s_upLinkUrl,upMediaExt:s_upMediaExt}"></asp:TextBox></td>
                        </tr>
                        </table>
                    <div class="divSave" style="display:none">
                        <asp:Button ID="btnSubmit" runat="server" Text="保存(S)" CssClass="SkyButtonFocus" 
                            OnClick="btnSubmit_Click" />
                        <asp:Button ID="btnExit" runat="server" Text="取消(C)" CssClass="SkyButtonFocus" OnClick="btnSubmit_Click" />
                    </div>
                </div>
            </div>
        </div>
    </div>


    <script language="javascript" type="text/javascript">
//        $('#txtDTitle').xheditor({ skin: 'nostyle', forcePtag: false });
//        $('#txtDask').xheditor({ skin: 'nostyle', forcePtag: false });
//        $('#txtDAnswer').xheditor({ skin: 'nostyle', forcePtag: false });
//        $('#txtDAnalysis').xheditor({ skin: 'nostyle', forcePtag: false });
//        $('#txtDKey').xheditor({ skin: 'nostyle', forcePtag: false });


//        $('#txtDTitle').xheditor({ tools: 'simple', skin: 'nostyle', forcePtag: false });
//        $('#txtDask').xheditor({ tools: 'simple', skin: 'nostyle', forcePtag: false });
//        $('#txtDAnswer').xheditor({ tools: 'simple', skin: 'nostyle', forcePtag: false });
//        $('#txtDAnalysis').xheditor({ tools: 'simple', skin: 'nostyle', forcePtag: false });
//        $('#txtDKey').xheditor({ tools: 'simple', skin: 'nostyle', forcePtag: false });
       
    </script>




    </form>
</body>
</html>